Loading...
Searching...
No Matches
uhd::assertion_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::assertion_error:
[legend]
Collaboration diagram for uhd::assertion_error:
[legend]

## Public Member Functions

| assertion_error (const std::string &what)
unsigned | code (void) const override
assertion_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Raised when an assert statement fails.

This includes our own assertion macros, such as UHD_ASSERT_THROW().

## Constructor & Destructor Documentation

## assertion_error()

uhd::assertion_error::assertion_error | ( | const std::string & | what | ) |

## Member Function Documentation

## code()

unsigned uhd::assertion_error::code | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_clone()

assertion_error * uhd::assertion_error::dynamic_clone | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_throw()

void uhd::assertion_error::dynamic_throw | ( | void |  | ) | const

override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp